mysql 安装问题 mariadb-libs is obsoleted by mysql-community-libs

 问题描述:

安装mysql 5.7 的似乎和遇到问题 mariadb-libs is obsoleted by mysql-community-libs

此问题是centos中包含又类似的依赖库 需要进行删除 后重新安装

[root@ebs-139266 home]# rpm -ivh mysql-community-*.rpm
warning: mysql-community-client-5.7.42-1.el7.x86_64.rpm: Header V4 RSA/SHA256 Signature, key ID 3a79bd29: NOKEY
error: Failed dependencies:
	mariadb-libs is obsoleted by mysql-community-libs-5.7.42-1.el7.x86_64
	mariadb-libs is obsoleted by mysql-community-libs-compat-5.7.42-1.el7.x86_64
	perl(JSON) is needed by mysql-community-test-5.7.42-1.el7.x86_64
[root@ebs-139266 home]# yum remove mariadb-libs
Loaded plugins: fastestmirror
Resolving Dependencies
--> Running transaction check
---> Package mariadb-libs.x86_64 1:5.5.68-1.el7 will be erased
--> Processing Dependency: libmysqlclient.so.18()(64bit) for package: 2:postfix-2.10.1-9.el7.x86_64
--> Processing Dependency: libmysqlclient.so.18(libmysqlclient_18)(64bit) for package: 2:postfix-2.10.1-9.el7.x86_64
--> Running transaction check
---> Package postfix.x86_64 2:2.10.1-9.el7 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

==============================================================================================================================================================================================================================================================================
 Package                                                             Arch                                                          Version                                                                 Repository                                                    Size
==============================================================================================================================================================================================================================================================================
Removing:
 mariadb-libs                                                        x86_64                                                        1:5.5.68-1.el7                                                          @base                                                        4.4 M
Removing for dependencies:
 postfix                                                             x86_64                                                        2:2.10.1-9.el7                                                          @base                                                         12 M

Transaction Summary
==============================================================================================================================================================================================================================================================================
Remove  1 Package (+1 Dependent package)

Installed size: 17 M
Is this ok [y/N]: y
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Erasing    : 2:postfix-2.10.1-9.el7.x86_64                                                                                                                                                                                                                              1/2 
  Erasing    : 1:mariadb-libs-5.5.68-1.el7.x86_64                                                                                                                                                                                                                         2/2 
  Verifying  : 1:mariadb-libs-5.5.68-1.el7.x86_64                                                                                                                                                                                                                         1/2 
  Verifying  : 2:postfix-2.10.1-9.el7.x86_64                                                                                                                                                                                                                              2/2 

Removed:
  mariadb-libs.x86_64 1:5.5.68-1.el7                                                                                                                                                                                                                                          

Dependency Removed:
  postfix.x86_64 2:2.10.1-9.el7                                                                                                                                                                                                                                               

Complete!

解决办法:

卸载原来的 yum remove mariadb-libs  重新安装

本图文内容来源于网友网络收集整理提供,作为学习参考使用,版权属于原作者。
THE END
分享
二维码
< <上一篇
下一篇>>